<!--
/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->

<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2" id="overviewHeader">Zyklische Reports</h1>
        <div class="btn-toolbar mb-2 mb-md-0">
          <div class="btn-group mr-2">
            <button class="btn btn-primary mr-1" routerLink="new">
              Neuer Eintrag
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <ag-grid-angular
        #gridNg2
        [localeText]="localeText"
        domLayout="autoHeight"
        class="ag-theme-balham cyclic-reports-table"
        [defaultColDef]="defaultColDef"
        [rowData]="data"
        [columnDefs]="columnDefs"
        (gridReady)="onGridReady()"
        (rowClicked)="selectEntry($event?.data)"
        pagination="true"
        paginationPageSize="30"
        id="oragnisationGrid">
      </ag-grid-angular>
    </div>
  </div>
</div>
